| GL Studio C++ Runtime API

Public Types | Public Member Functions | Public Attributes | List of all members
EyePointCalcViewCallback< T > Class Template Reference

The EyePointCalcViewCallback class. More...

`#include <gls_eyepoint.h>`

Inheritance diagram for EyePointCalcViewCallback< T >:

## Public Types
typedef void(T::* | MethodType) (int viewWidth, int viewHeight, GlsEyePoint *thisEye, double &rval1, double &rval2)
| Typedef for the callback function pointer.

## Public Member Functions
| EyePointCalcViewCallback (T *container, MethodType method)
void | Call (int viewWidth, int viewHeight, GlsEyePoint *thisEye, double &rval1, double &rval2) override
virtual void | Call (int viewWidth, int viewHeight, GlsEyePoint *thisEye, double &rval1, double &rval2)=0

## Public Attributes
T * | _container
| The object which contains the method to call.
MethodType | _method
| The callback method function pointer.

## Detailed Description

template<class T>
class disti::EyePointCalcViewCallback< T >

The EyePointCalcViewCallback class.

## Constructor & Destructor Documentation

## ◆ EyePointCalcViewCallback()

EyePointCalcViewCallback | ( | T * | container,
|  | MethodType | method
| ) |  |
| inline

Construct a new EyePointCalcViewCallback object.

Parameters

  container | The object containing the callback method.
  method | The callback function pointer to call.

## Member Function Documentation

## ◆ Call()

void Call | ( | int | viewWidth,
|  | int | viewHeight,
|  | GlsEyePoint * | thisEye,
|  | double & | rval1,
|  | double & | rval2
| ) |  |
| inline override virtual

The callback method interface, used for custom user callbacks to configure the eyepoint's view.

Parameters

  viewWidth | The view width in pixels.
  viewHeight | The view height in pixels.
  thisEye | The GlsEyePoint associated with this callback.
  rval1 | Returned user defined value.
  rval2 | Another returned user defined value.

Implements EyePointCalcViewCallbackBase.

The documentation for this class was generated from the following file:

- gls_eyepoint.h